<?xml version="1.0" encoding="Windows-1251"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ctmtd="http://rail.ctm.ru/TD/Transform">
 <xsl:output method="xml"/>
 <ctmtd:info module="Declarant.clsXMLConverterService" scheme="DLAB" docid="ND">  ( "-")</ctmtd:info>
 <xsl:template match="/ALLDOCUMENTS">
  <xsl:element name="SMGS">
   <xsl:for-each select="/ALLDOCUMENTS/ALLDOCUMENTS_ITEM">
    <xsl:variable name="ALLDOCUMENTS_ALLDOCUMENTS_ITEM" select="current()"/>
    <xsl:for-each select="$ALLDOCUMENTS_ALLDOCUMENTS_ITEM/DECLPRIM/DECLPRIM_ITEM">
     <xsl:variable name="ALLDOCUMENTS_ALLDOCUMENTS_ITEM_DECLPRIM_DECLPRIM_ITEM" select="current()"/>
     <xsl:element name="SMGS_ITEM">
      <xsl:element name="G1_1">
       <xsl:value-of select="G022"/>
      </xsl:element>
      <xsl:element name="G1_2">
       <xsl:value-of select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G023POST"/>&#xA0;<xsl:value-of select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G023SUBD"/>&#xA0;<xsl:value-of select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G023CITY"/>&#xA0;<xsl:value-of select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G023STREET"/>
      </xsl:element>
      <xsl:element name="G14_N">
       <xsl:value-of select="G06"/>
      </xsl:element>
      <xsl:element name="G5_1">
       <xsl:value-of select="G082"/>
      </xsl:element>
      <xsl:element name="G5_2">
       <xsl:value-of select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G083POST"/>&#xA0;<xsl:value-of select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G083SUBD"/>&#xA0;<xsl:value-of select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G083CITY"/>&#xA0;<xsl:value-of select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/G083STREET"/>
      </xsl:element>
      <xsl:element name="G2">
       <xsl:for-each select="/ALLDOCUMENTS/ALLDOCUMENTS_ITEM/DECLPRIM/DECLPRIM_ITEM/DECLDOP/DECLDOP_ITEM/GTD44/GTD44_ITEM[G32=1 and G441=04011][1]">
        <xsl:value-of select="G442"/>
        <xsl:if test="G443!=''">
         <xsl:text>  </xsl:text>
         <xsl:value-of select="substring (G443,9,2)"/>
         <xsl:text>.</xsl:text>
         <xsl:value-of select="substring (G443,6,2)"/>
         <xsl:text>.</xsl:text>
         <xsl:value-of select="substring (G443,3,2)"/>
        </xsl:if>
       </xsl:for-each>
      </xsl:element>
      <xsl:element name="DOC_N">
       <xsl:for-each select="/ALLDOCUMENTS/ALLDOCUMENTS_ITEM/DECLPRIM/DECLPRIM_ITEM/DECLDOP/DECLDOP_ITEM/GTD44/GTD44_ITEM[G32=1 and G441=02013][1]">
        <xsl:value-of select="G442"/>
       </xsl:for-each>
      </xsl:element>
      <xsl:element name="SMGS_BACKPRIM">
       <xsl:element name="SMGS_BACKPRIM_ITEM">
        <xsl:element name="SMGS_BACKDOP">
         <xsl:element name="SMGS_BACKDOP_ITEM">
         </xsl:element>
        </xsl:element>
       </xsl:element>
      </xsl:element>
      <xsl:element name="SMGS_CARGO">
       <xsl:for-each select="$ALLDOCUMENTS_ALLDOCUMENTS_ITEM_DECLPRIM_DECLPRIM_ITEM/DECLDOP/DECLDOP_ITEM">
        <xsl:variable name="DECLDOP_DECLDOP_ITEM" select="current()"/>
        <xsl:element name="SMGS_CARGO_ITEM">
         <xsl:element name="G10">
          <xsl:value-of select="G313"/>
         </xsl:element>
         <xsl:element name="G11">
          <xsl:value-of select="G312"/>
         </xsl:element>
         <xsl:element name="MEST">
          <xsl:value-of select="G311"/>
         </xsl:element>
         <xsl:element name="KGUSER">
          <xsl:value-of select="G35"/>
         </xsl:element>
        </xsl:element>
       </xsl:for-each>
      </xsl:element>      
      <xsl:element name="SMGS_OSZAYAV">
       <xsl:element name="SMGS_OSZAYAV_ITEM">
       </xsl:element>
      </xsl:element>
      <xsl:element name="SMGS_PLOMB45">
       <xsl:element name="SMGS_PLOMB45_ITEM">
       </xsl:element>
      </xsl:element>     
      <xsl:element name="SMGS_PRILDOC">
       <xsl:for-each select="/ALLDOCUMENTS/ALLDOCUMENTS_ITEM/DECLPRIM/DECLPRIM_ITEM/DECLDOP/DECLDOP_ITEM/GTD44/GTD44_ITEM">
        <xsl:variable name="Code" select="G441"/>
        <xsl:if test="G442!='' and ($Code=02013 or $Code=02014 or $Code=02016 or $Code=02023 or $Code=04021 or $Code=06041 or $Code=06042 or $Code=07021 or $Code=07022 or $Code=07023)">             <xsl:element name="SMGS_PRILDOC_ITEM">          
          <xsl:element name="OPIS">
           <xsl:call-template name="ApplyDoc">
            <xsl:with-param name="Code" select="G441"/>
           </xsl:call-template>
          </xsl:element>           
         </xsl:element>        
        </xsl:if>        
       </xsl:for-each>
      </xsl:element>     
      <xsl:element name="SMGS_STATIONS">
       <xsl:element name="SMGS_STATIONS_ITEM">
       </xsl:element>
      </xsl:element>
      <xsl:element name="SMGS_VAGONS">
       <xsl:for-each select="/ALLDOCUMENTS/ALLDOCUMENTS_ITEM/DECLPRIM/DECLPRIM_ITEM/GTDDKD/GTDDKD_ITEM[((NGR=18) or (NGR=21)) and VIDTRANS=20]">
        <xsl:element name="SMGS_VAGONS_ITEM">         
         <xsl:element name="VAGON">
          <xsl:value-of select="NTRANS"/>
         </xsl:element>         
        </xsl:element>
       </xsl:for-each>
      </xsl:element>
     </xsl:element>
    </xsl:for-each>
   </xsl:for-each>
  </xsl:element>
 </xsl:template>
 <xsl:template name="ApplyDoc">
  <xsl:param name="Code"/>    
  <xsl:if test="G442!='' and ($Code=02013 or $Code=02014 or $Code=02016 or $Code=02023 or $Code=04021 or $Code=06041 or $Code=06042 or $Code=07021 or $Code=07022 or $Code=07023)">      
   <xsl:value-of select="G442"/>   
    <xsl:if test="G443!=''">
     <xsl:text>  </xsl:text>
     <xsl:value-of select="substring (G443,9,2)"/>
     <xsl:text>.</xsl:text>
     <xsl:value-of select="substring (G443,6,2)"/>
     <xsl:text>.</xsl:text>
     <xsl:value-of select="substring (G443,3,2)"/>
    </xsl:if>
   <xsl:choose>
     <xsl:when test="$Code=02013">-/ </xsl:when>     
    <xsl:when test="$Code=02014">- .</xsl:when>
    <xsl:when test="$Code=02016">-. .  </xsl:when>
    <xsl:when test="$Code=02023">-. . /</xsl:when>
      
    <xsl:when test="$Code=04021">--</xsl:when>
      
    <xsl:when test="$Code=06041">--. .</xsl:when>
    <xsl:when test="$Code=06042">-. -. .</xsl:when>
     
    <xsl:when test="$Code=07021">-. . -1</xsl:when>
    <xsl:when test="$Code=07022">-. . </xsl:when>
    <xsl:when test="$Code=07023">-. . .</xsl:when>
   </xsl:choose>   
   <xsl:if test="position()!=last()">
    <xsl:text>, </xsl:text>
   </xsl:if>
  </xsl:if>  
 </xsl:template>
</xsl:stylesheet>
