<?xml version="1.0" encoding="Windows-1251"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ctmtd="http://rail.ctm.ru/TD/Transform">
 <xsl:output method="xml"/>
 <ctmtd:info module="Declarant.clsXMLConverterService" scheme="DLAG" docid="ND">  ( "-")</ctmtd:info>
 <xsl:template match="/ALLDOCUMENTS">
  <xsl:element name="CMR">
   <xsl:for-each select="/ALLDOCUMENTS/ALLDOCUMENTS_ITEM/INVOICEPRIM/INVOICEPRIM_ITEM">
    <xsl:element name="CMR_ITEM">
      <xsl:element name="G1_1">
       <xsl:value-of select="G022"/>
      </xsl:element>
      <xsl:element name="G1_2">
       <xsl:value-of select="G023"/>
      </xsl:element>
      <xsl:element name="G2_1">
       <xsl:value-of select="G092"/>
      </xsl:element>
      <xsl:element name="G2_2">
       <xsl:value-of select="G093"/>
      </xsl:element>
      <xsl:element name="G13_3">
       <xsl:value-of select="G221"/>
      </xsl:element>
      <xsl:element name="G15_3">
       <xsl:value-of select="G202"/>
      </xsl:element>
      <xsl:element name="G25">
       <xsl:value-of select="TRANSPORTNUMBERS"/>
      </xsl:element>
      <xsl:element name="G3_1">
       <xsl:value-of select="G2021"/>
      </xsl:element>
      <xsl:element name="G5">
       <xsl:if test="not(string-length(INVOICENO)=0)">
        <xsl:text> </xsl:text>
        <xsl:value-of select="INVOICENO"/>
        <xsl:text>  </xsl:text>
         <xsl:value-of select="substring (INVOICEDATE,9,2)"/>
         <xsl:text>.</xsl:text>
         <xsl:value-of select="substring (INVOICEDATE,6,2)"/>
         <xsl:text>.</xsl:text>
         <xsl:value-of select="substring (INVOICEDATE,3,2)"/>
         <xsl:text> 
</xsl:text>
       </xsl:if>
       <xsl:if test="not(string-length(CONTRACTNO)=0)">
        <xsl:text> </xsl:text>
        <xsl:value-of select="CONTRACTNO"/>
        <xsl:text>  </xsl:text>
         <xsl:value-of select="substring (CONTRACTDATE,9,2)"/>
         <xsl:text>.</xsl:text>
         <xsl:value-of select="substring (CONTRACTDATE,6,2)"/>
         <xsl:text>.</xsl:text>
         <xsl:value-of select="substring (CONTRACTDATE,3,2)"/>
        </xsl:if>
      </xsl:element>
      <xsl:element name="CMR_CARGO">
       <xsl:for-each select="/ALLDOCUMENTS/ALLDOCUMENTS_ITEM/INVOICEPRIM/INVOICEPRIM_ITEM/INVOICEDOP/INVOICEDOP_ITEM">
        <xsl:element name="CMR_CARGO_ITEM">
         <xsl:element name="G7">
          <xsl:value-of select="G311"/>
         </xsl:element>
         <xsl:element name="G9">
          <xsl:value-of select="G312"/>
         </xsl:element>
         <xsl:element name="G10">
          <xsl:value-of select="G33"/>
         </xsl:element>
         <xsl:element name="G11">
          <xsl:value-of select="G35"/>
         </xsl:element>
        </xsl:element>
       </xsl:for-each>
      </xsl:element>
      <xsl:element name="CMR_PART_27">
       <xsl:element name="CMR_PART_27_ITEM">
       </xsl:element>
      </xsl:element>
      <xsl:element name="CMR_PART_28">
       <xsl:element name="CMR_PART_28_ITEM">
       </xsl:element>
      </xsl:element>
     </xsl:element>
   </xsl:for-each>
  </xsl:element>
 </xsl:template>
</xsl:stylesheet>
