<?xml version="1.0" encoding="Windows-1251"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ctmtd="http://rail.ctm.ru/TD/Transform">
 <xsl:output method="xml"/>
        <ctmtd:info module="Declarant.clsXMLConverterService" scheme="DLAG" docid="ND">  ( " ")</ctmtd:info>
        
 <xsl:template match="/ALLDOCUMENTS">
  <xsl:element name="INVOICEPRIM">
   <xsl:for-each select="/ALLDOCUMENTS/ALLDOCUMENTS_ITEM">
    <xsl:variable name="ALLDOCUMENTS_ALLDOCUMENTS_ITEM" select="current()"/>
    <xsl:for-each select="$ALLDOCUMENTS_ALLDOCUMENTS_ITEM/INVOICEPRIM/INVOICEPRIM_ITEM">
     <xsl:variable name="ALLDOCUMENTS_ALLDOCUMENTS_ITEM_INVOICEPRIM_INVOICEPRIM_ITEM" select="current()"/>
     <xsl:element name="INVOICEPRIM_ITEM">
      <xsl:element name="BILLNUMBERS">
       <xsl:value-of select="BILLNUMBERS"/>
      </xsl:element>
      <xsl:element name="BRUTTOTOTAL">
       <xsl:value-of select="BRUTTOTOTAL"/>
      </xsl:element>
      <xsl:element name="CONTRACTDATE">
       <xsl:value-of select="CONTRACTDATE"/>
      </xsl:element>
      <xsl:element name="CONTRACTNO">
       <xsl:value-of select="CONTRACTNO"/>
      </xsl:element>
      <xsl:element name="EXPAFTERBOUND">
       <xsl:value-of select="EXPAFTERBOUND"/>
      </xsl:element>
      <xsl:element name="EXPINSURANCE">
       <xsl:value-of select="EXPINSURANCE"/>
      </xsl:element>
      <xsl:element name="EXPLOADING">
       <xsl:value-of select="EXPLOADING"/>
      </xsl:element>
      <xsl:element name="EXPTRANSPORT">
       <xsl:value-of select="EXPTRANSPORT"/>
      </xsl:element>
      <xsl:element name="FIO1">
       <xsl:value-of select="FIO1"/>
      </xsl:element>
      <xsl:element name="FIO2">
       <xsl:value-of select="FIO2"/>
      </xsl:element>
      <xsl:element name="G021">
       <xsl:value-of select="G021"/>
      </xsl:element>
      <xsl:element name="G022">
       <xsl:value-of select="G022"/>
      </xsl:element>
      <xsl:element name="G023">
       <xsl:value-of select="G023"/>
      </xsl:element>
      <xsl:element name="G091">
       <xsl:value-of select="G091"/>
      </xsl:element>
      <xsl:element name="G092">
       <xsl:value-of select="G092"/>
      </xsl:element>
      <xsl:element name="G093">
       <xsl:value-of select="G093"/>
      </xsl:element>
      <xsl:element name="G202">
       <xsl:value-of select="G202"/>
      </xsl:element>
      <xsl:element name="G2021">
       <xsl:value-of select="G2021"/>
      </xsl:element>
      <xsl:element name="G221">
       <xsl:value-of select="G221"/>
      </xsl:element>
      <xsl:element name="GF2">
       <xsl:value-of select="GF2"/>
      </xsl:element>
      <xsl:element name="GF3">
       <xsl:value-of select="GF3"/>
      </xsl:element>
      <xsl:element name="GFCAPTION">
       <xsl:value-of select="GFCAPTION"/>
      </xsl:element>
      <xsl:element name="_GF2">
       <xsl:value-of select="_GF2"/>
      </xsl:element>
      <xsl:element name="_GF3">
       <xsl:value-of select="_GF3"/>
      </xsl:element>
      <xsl:element name="_GFCAPTION">
       <xsl:value-of select="_GFCAPTION"/>
      </xsl:element>
      <xsl:element name="INVOICEDATE">
       <xsl:value-of select="INVOICEDATE"/>
      </xsl:element>
      <xsl:element name="INVOICENO">
       <xsl:value-of select="INVOICENO"/>
      </xsl:element>
      <xsl:element name="M021">
       <xsl:value-of select="M021"/>
      </xsl:element>
      <xsl:element name="M091">
       <xsl:value-of select="M091"/>
      </xsl:element>
      <xsl:element name="MESTTOTAL">
       <xsl:value-of select="MESTTOTAL"/>
      </xsl:element>
      <xsl:element name="NETTOTOTAL">
       <xsl:value-of select="NETTOTOTAL"/>
      </xsl:element>
      <xsl:element name="OURACCOUNT">
       <xsl:value-of select="OURACCOUNT"/>
      </xsl:element>
      <xsl:element name="RANGE1">
       <xsl:value-of select="RANGE1"/>
      </xsl:element>
      <xsl:element name="RANGE2">
       <xsl:value-of select="RANGE2"/>
      </xsl:element>
      <xsl:element name="RESERV1">
       <xsl:value-of select="RESERV1"/>
      </xsl:element>
      <xsl:element name="RESERV2">
       <xsl:value-of select="RESERV2"/>
      </xsl:element>
      <xsl:element name="TOTAL">
       <xsl:value-of select="TOTAL"/>
      </xsl:element>
      <xsl:element name="TOTALSIGN">
       <xsl:value-of select="TOTALSIGN"/>
      </xsl:element>
      <xsl:element name="TRANSPORTNUMBERS">
       <xsl:value-of select="TRANSPORTNUMBERS"/>
      </xsl:element>
      <xsl:element name="VALABBR">
       <xsl:value-of select="VALABBR"/>
      </xsl:element>
      <xsl:element name="INVOICEDOP">
       <xsl:for-each select="$ALLDOCUMENTS_ALLDOCUMENTS_ITEM_INVOICEPRIM_INVOICEPRIM_ITEM/INVOICEDOP/INVOICEDOP_ITEM">
        <xsl:variable name="INVOICEDOP_INVOICEDOP_ITEM" select="current()"/>
        <xsl:element name="INVOICEDOP_ITEM">
         <xsl:element name="COUNT">
          <xsl:value-of select="COUNT"/>
         </xsl:element>
         <xsl:element name="FACTORYCODE">
          <xsl:value-of select="FACTORYCODE"/>
         </xsl:element>
         <xsl:element name="G311">
          <xsl:value-of select="G311"/>
         </xsl:element>
         <xsl:element name="G312">
          <xsl:value-of select="G312"/>
         </xsl:element>
         <xsl:element name="G32">
          <xsl:value-of select="G32"/>
         </xsl:element>
         <xsl:element name="G33">
          <xsl:value-of select="G33"/>
         </xsl:element>
         <xsl:element name="G35">
          <xsl:value-of select="G35"/>
         </xsl:element>
         <xsl:element name="G38">
          <xsl:value-of select="G38"/>
         </xsl:element>
         <xsl:element name="PRICE">
          <xsl:value-of select="PRICE"/>
         </xsl:element>
         <xsl:element name="UNIT">
          <xsl:value-of select="UNIT"/>
         </xsl:element>
         <xsl:element name="UNITPRICE">
          <xsl:value-of select="UNITPRICE"/>
         </xsl:element>
        </xsl:element>
       </xsl:for-each>
      </xsl:element>
     </xsl:element>
    </xsl:for-each>
   </xsl:for-each>
  </xsl:element>
 </xsl:template>
</xsl:stylesheet>
