<?xml version="1.0" encoding="Windows-1251"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ctmtd="http://rail.ctm.ru/TD/Transform">
 <xsl:output method="xml"/>
        <ctmtd:info> -12 2004 .</ctmtd:info>
 
 <xsl:template match="//RWB_DEMAND">
  <xsl:element name="SMGS">
   <xsl:apply-templates/>
  </xsl:element>
 </xsl:template>
 
 <xsl:template name="RWB_DEMAND_ITEM" match="RWB_DEMAND_ITEM">
  <xsl:element name="SMGS_ITEM">
   <xsl:element name="G3_1"><xsl:value-of select="ST_FROM_C"/></xsl:element>
   <xsl:element name="G3"><xsl:value-of select="ST_FROM_N"/></xsl:element>
   <xsl:element name="G1_3"><xsl:value-of select="SND_OKPO"/></xsl:element>
   <xsl:element name="G1_1"><xsl:value-of select="SND_N"/></xsl:element>

   <xsl:for-each select="RWB_DEMAND_TABLE/RWB_DEMAND_TABLE_ITEM[1]">
    <xsl:element name="G8_3"><xsl:value-of select="G6"/></xsl:element>
    <xsl:element name="G8_1"><xsl:value-of select="G5"/></xsl:element>
   </xsl:for-each>
   
   <xsl:for-each select="RWB_DEMAND_TABLE/RWB_DEMAND_TABLE_ITEM[2]">
    <xsl:element name="G5_3"><xsl:value-of select="G6"/></xsl:element>
    <xsl:element name="G5_1"><xsl:value-of select="G5"/></xsl:element>
   </xsl:for-each>

   <xsl:apply-templates/>
  </xsl:element>
 </xsl:template>
 
 <xsl:template match="RWB_DEMAND_TABLE" name="RWB_DEMAND_TABLE">
  <xsl:element name="SMGS_CARGO">
   <xsl:apply-templates/>
  </xsl:element>
 </xsl:template>

 <xsl:template match="RWB_DEMAND_TABLE_ITEM" name="RWB_DEMAND_TABLE_ITEM">
  <xsl:element name="SMGS_CARGO_ITEM">
   <xsl:element name="G11"><xsl:value-of select="G2"/></xsl:element>
   <xsl:element name="KGUser"><xsl:value-of select="G9"/></xsl:element>
  </xsl:element>
 </xsl:template>

 <xsl:template match="*"/>
</xsl:stylesheet>
