<?xml version="1.0" encoding="Windows-1251"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ctmtd="http://rail.ctm.ru/TD/Transform">
	<xsl:output method="xml"/>
	<ctmtd:info> -12 2008 .</ctmtd:info>
	<xsl:template match="*"/>
	<xsl:template match="//RWB_DEMAND_2008">
		<SMGS>
			<xsl:apply-templates/>
		</SMGS>
	</xsl:template>
	<xsl:template name="RWB_DEMAND_2008_ITEM" match="RWB_DEMAND_2008_ITEM">
		<SMGS_ITEM>
			<G3_1><xsl:value-of select="ST_FROM_C"/></G3_1>
			<G3><xsl:value-of select="ST_FROM_N"/></G3>
			<G1_OKPO><xsl:value-of select="SND_OKPO"/></G1_OKPO>
			<G1_1><xsl:value-of select="SND_N"/></G1_1>
			<G8_3><xsl:value-of select="RWB_DEMAND_2008_TABLE/RWB_DEMAND_2008_TABLE_ITEM/G6"/></G8_3>
			<xsl:apply-templates/>
		</SMGS_ITEM>
	</xsl:template>
	<xsl:template match="RWB_DEMAND_2008_TABLE" name="RWB_DEMAND_2008_TABLE">
		<SMGS_CARGO>
			<xsl:apply-templates/>
		</SMGS_CARGO>
	</xsl:template>
	<xsl:template match="RWB_DEMAND_2008_TABLE_ITEM" name="RWB_DEMAND_2008_TABLE_ITEM">
		<SMGS_CARGO_ITEM>
			<G11><xsl:value-of select="G2"/></G11>
			<KGUSER><xsl:value-of select="G9"/></KGUSER>
		</SMGS_CARGO_ITEM>
	</xsl:template>
	
</xsl:stylesheet>
