<?xml version="1.0" encoding="Windows-1251"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ctmtd="http://rail.ctm.ru/TD/Transform">
 <xsl:output method="xml"/>
 <ctmtd:info>     (-27) </ctmtd:info>
 
 <xsl:template match="/INTERNAL_RWB">   
  <xsl:element name="EXP_INSTR_HEADER">  
  
   <xsl:for-each select="/INTERNAL_RWB/INTERNAL_RWB_ITEM">     
    <xsl:element name="EXP_INSTR_HEADER_ITEM">  
         
     <xsl:element name="EXP_NAME">
      <xsl:value-of select="EXP_NAME"/>
     </xsl:element>     
          
     <xsl:element name="IMP_NAME">
      <xsl:value-of select="IMP_NAME"/>
     </xsl:element>
          
     <xsl:element name="IMP_ADDR">
      <xsl:value-of select="IMP_ADDR"/>
     </xsl:element>
          
     <xsl:element name="IMP_CNTRY">
      <xsl:value-of select="CNTRY_DST1"/>
     </xsl:element>
          
     <xsl:element name="IMP_CNTRY1">
      <xsl:value-of select="CNTRY_DST"/>
     </xsl:element>
          
     <!--   CARGO  -->
     <xsl:element name="EXP_INSTR_CARGO">      
      <xsl:apply-templates select="/INTERNAL_RWB/INTERNAL_RWB_ITEM/INTERNAL_RWB_CARGO/INTERNAL_RWB_CARGO_ITEM"/>
     </xsl:element>
                   
    </xsl:element> 
   </xsl:for-each>
  </xsl:element> 
 </xsl:template>   
 
 
 <xsl:template match="/INTERNAL_RWB/INTERNAL_RWB_ITEM/INTERNAL_RWB_CARGO/INTERNAL_RWB_CARGO_ITEM">
  <xsl:element name="EXP_INSTR_CARGO_ITEM">
  
   <xsl:element name="G32">
    <xsl:value-of select="position()"/>
   </xsl:element>
   
   <xsl:element name="CARGO">
    <xsl:value-of select="CARGO"/>
   </xsl:element>
   
   <xsl:element name="PLACES">
    <xsl:value-of select="MEST"/>
   </xsl:element>
   
   <xsl:element name="WEIGHT_N">
    <xsl:value-of select="KGUSER"/>
   </xsl:element>   
   
   <xsl:element name="ATTEND_D_N">
    <xsl:if test="(count(/INTERNAL_RWB/INTERNAL_RWB_ITEM/INTERNAL_RWB_CARGO/INTERNAL_RWB_CARGO_ITEM))=1">
     <xsl:value-of select="/INTERNAL_RWB/INTERNAL_RWB_ITEM/DOC_N"/>
    </xsl:if>
    <xsl:if test="(count(/INTERNAL_RWB/INTERNAL_RWB_ITEM/INTERNAL_RWB_CARGO/INTERNAL_RWB_CARGO_ITEM))>1">. .</xsl:if>
   </xsl:element>
      
     
   <xsl:element name="EXP_INSTR_APPENDIX">    
     
    <xsl:for-each select="/INTERNAL_RWB/INTERNAL_RWB_ITEM/INTERNAL_RWB_VAGONS/INTERNAL_RWB_VAGONS_ITEM">
     <xsl:element name="EXP_INSTR_APPENDIX_ITEM">
    
      <xsl:element name="G32">
       <xsl:value-of select="position()"/>
      </xsl:element>
 
      <xsl:element name="ATTEND_D_N">
       <xsl:value-of select="/INTERNAL_RWB/INTERNAL_RWB_ITEM/DOC_N"/>
      </xsl:element>
      
      <xsl:element name="WEIGHT">
       <xsl:value-of select="/INTERNAL_RWB/INTERNAL_RWB_ITEM/INTERNAL_RWB_CARGO/INTERNAL_RWB_CARGO_ITEM/KGUSER"/>
      </xsl:element>     
      
      <xsl:element name="NPP">
       <xsl:value-of select="position()"/>
      </xsl:element>
      
      <xsl:element name="VAGON_N">
       <xsl:value-of select="/INTERNAL_RWB/INTERNAL_RWB_ITEM/INTERNAL_RWB_VAGONS//INTERNAL_RWB_VAGONS_ITEM/NUM"/>
      </xsl:element>
                 
     </xsl:element>       
    </xsl:for-each>
   </xsl:element>     
       
  </xsl:element>  
 </xsl:template> 
 
<xsl:template match="*"/> 
 
</xsl:stylesheet>
