<?xml version="1.0" encoding="Windows-1251"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ctmtd="http://rail.ctm.ru/TD/Transform">
 <xsl:output method="xml"/>
 <ctmtd:info>   </ctmtd:info>
 <xsl:template match="//OIL_LOADING_ACT">
  <xsl:element name="SMGS">
   <xsl:apply-templates/>
  </xsl:element>
 </xsl:template>
 <xsl:template name="OIL_LOADING_ACT_ITEM" match="OIL_LOADING_ACT_ITEM">
  <xsl:element name="SMGS_ITEM">
   <xsl:element name="G5_1">
    <xsl:value-of select="RECIPIENT_NAME"/>
   </xsl:element>
   <xsl:element name="G5_2">
    <xsl:value-of select="RECIPIENT_ADDR"/>
   </xsl:element>
   <xsl:element name="G5_3">
    <xsl:value-of select="RECIPIENT_CODE"/>
   </xsl:element>
   <xsl:element name="SMGS_CARGO">
    <xsl:element name="SMGS_CARGO_ITEM">
     <xsl:element name="G11">
      <xsl:value-of select="CARGO"/>
     </xsl:element>
     <xsl:element name="KGUSER">
      <xsl:value-of select="NETTO"/>
     </xsl:element>
    </xsl:element>
   </xsl:element>
   <xsl:element name="SMGS_PRILDOC">
    <xsl:element name="SMGS_PRILDOC_ITEM">
     <xsl:element name="OPIS">   <xsl:value-of select="DOC_N"/>  <xsl:value-of select="DOC_DATE"/>
     </xsl:element>
    </xsl:element>
   </xsl:element>
   <xsl:apply-templates/>
  </xsl:element>
 </xsl:template>
 <xsl:template match="OIL_LOADING_ACT_VAGONS" name="OIL_LOADING_ACT_VAGONS">
  <xsl:element name="SMGS_VAGONS">
   <xsl:apply-templates/>
  </xsl:element>
 </xsl:template>
 <xsl:template match="OIL_LOADING_ACT_VAGONS_ITEM" name="OIL_LOADING_ACT_VAGONS_ITEM">
  <xsl:element name="SMGS_VAGONS_ITEM">
   <xsl:element name="NPP">
    <xsl:value-of select="NPP"/>
   </xsl:element>
   <xsl:element name="VAGON">
    <xsl:value-of select="VAG_NUM"/>
   </xsl:element>
   <xsl:element name="CistType">
    <xsl:value-of select="CIST_TYPE"/>
   </xsl:element>
   <xsl:element name="Level">
    <xsl:value-of select="HEIGHT"/>
   </xsl:element>
   <xsl:element name="WEIGHT">
    <xsl:value-of select="WEIGHT"/>
   </xsl:element>
  </xsl:element>
 </xsl:template>
 <xsl:template match="*"/>
</xsl:stylesheet>
