<?xml version="1.0" encoding="Windows-1251"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ctmtd="http://rail.ctm.ru/TD/Transform">
	<xsl:output method="xml"/>
	<ctmtd:info module="Declarant.clsXMLConverterService" scheme="DLAG" docid="ND">  ( "-")</ctmtd:info>
	<xsl:template match="/ALLDOCUMENTS">
		<SMGS>
			<xsl:for-each select="ALLDOCUMENTS_ITEM/INVOICEPRIM/INVOICEPRIM_ITEM">
				<SMGS_ITEM>
					<G1_1><xsl:value-of select="G022"/></G1_1>
					<G1_2><xsl:value-of select="G023"/></G1_2>
					<G1_OKPO><xsl:value-of select="G021"/></G1_OKPO>
					<G5_1><xsl:value-of select="G092"/></G5_1>
					<G5_2><xsl:value-of select="G093"/></G5_2>
					<G5_OKPO><xsl:value-of select="G091"/></G5_OKPO>
					<G06_CONTR>
						<xsl:if test="not(string-length(CONTRACTNO)=0)">
							<xsl:value-of select="CONTRACTNO"/>
							<xsl:text>  </xsl:text>
							<xsl:value-of select="substring (CONTRACTDATE,9,2)"/>
							<xsl:text>.</xsl:text>
							<xsl:value-of select="substring (CONTRACTDATE,6,2)"/>
							<xsl:text>.</xsl:text>
							<xsl:value-of select="substring (CONTRACTDATE,3,2)"/>
						</xsl:if>
					</G06_CONTR>
					<SMGS_BACKPRIM>
						<SMGS_BACKPRIM_ITEM>
							<SMGS_BACKDOP>
								<SMGS_BACKDOP_ITEM>
								</SMGS_BACKDOP_ITEM>
							</SMGS_BACKDOP>
						</SMGS_BACKPRIM_ITEM>
					</SMGS_BACKPRIM>
					<SMGS_CARGO>
						<xsl:for-each select="INVOICEDOP/INVOICEDOP_ITEM">
							<SMGS_CARGO_ITEM>
								<G11><xsl:value-of select="G312"/></G11>
								<MEST><xsl:value-of select="G311"/></MEST>
								<KGUSER><xsl:value-of select="G35"/></KGUSER>
							</SMGS_CARGO_ITEM>
						</xsl:for-each>
					</SMGS_CARGO>
					<SMGS_OSZAYAV>
						<SMGS_OSZAYAV_ITEM>
					   </SMGS_OSZAYAV_ITEM>
					</SMGS_OSZAYAV>
					<SMGS_PLOMB45>
						<SMGS_PLOMB45_ITEM>
					   </SMGS_PLOMB45_ITEM>
					</SMGS_PLOMB45>
					<SMGS_PRILDOC>
						<SMGS_PRILDOC_ITEM>
							<OPIS>
								<xsl:if test="not(string-length(INVOICENO)=0)">
									<xsl:value-of select="INVOICENO"/>
									<xsl:text>  </xsl:text>
									<xsl:value-of select="substring (INVOICEDATE,9,2)"/>
									<xsl:text>.</xsl:text>
									<xsl:value-of select="substring (INVOICEDATE,6,2)"/>
									<xsl:text>.</xsl:text>
									<xsl:value-of select="substring (INVOICEDATE,3,2)"/>
								</xsl:if>
							</OPIS>
						</SMGS_PRILDOC_ITEM>
					</SMGS_PRILDOC>
					<SMGS_STATIONS>
						<SMGS_STATIONS_ITEM>
					    </SMGS_STATIONS_ITEM>
					</SMGS_STATIONS>
					<SMGS_VAGONS>
						<SMGS_VAGONS_ITEM>
						</SMGS_VAGONS_ITEM>
					</SMGS_VAGONS>
				</SMGS_ITEM>
			</xsl:for-each>
		</SMGS>
	</xsl:template>
</xsl:stylesheet>
