<?xml version="1.0" encoding="Windows-1251"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ctmtd="http://rail.ctm.ru/TD/Transform">
 <xsl:output method="xml"/>
 <ctmtd:info module="Declarant.clsXMLConverterService" scheme="DLAG" docid="ND">  ( "-")</ctmtd:info>
 <xsl:template match="/ALLDOCUMENTS">
  <xsl:element name="NTERNAL_AWB">
   <xsl:for-each select="/ALLDOCUMENTS/ALLDOCUMENTS_ITEM/INVOICEPRIM/INVOICEPRIM_ITEM">
    <xsl:element name="INTERNAL_AWB_ITEM">
     <xsl:element name="EXP_CODE">
      <xsl:value-of select="G021"/>
     </xsl:element>
     <xsl:element name="EXP_NAME">
      <xsl:value-of select="G022"/>
     </xsl:element>
     <xsl:element name="IMP_CODE">
      <xsl:value-of select="G091"/>
     </xsl:element>
     <xsl:element name="IMP_NAME">
      <xsl:value-of select="G092"/>
     </xsl:element>
     <xsl:element name="UNLOAD_P">
      <xsl:value-of select="G2021"/>
     </xsl:element>
     <xsl:element name="INTERNAL_AWB_CARGO1">
      <xsl:for-each select="/ALLDOCUMENTS/ALLDOCUMENTS_ITEM/INVOICEPRIM/INVOICEPRIM_ITEM/INVOICEDOP/INVOICEDOP_ITEM">
       <xsl:element name="INTERNAL_AWB_CARGO1_ITEM">
        <xsl:element name="CARGO">
         <xsl:value-of select="G312"/>
        </xsl:element>
        <xsl:element name="CARGO_CODE">
         <xsl:value-of select="G33"/>
        </xsl:element>
        <xsl:element name="PLACES">
         <xsl:value-of select="G311"/>
        </xsl:element>
        <xsl:element name="SUM">
         <xsl:value-of select="PRICE"/>
        </xsl:element>
        <xsl:element name="WEIGHT">
         <xsl:value-of select="G35"/>
        </xsl:element>
       </xsl:element>
      </xsl:for-each>
     </xsl:element>
     <xsl:element name="INTERNAL_AWB_CARGO2">
      <xsl:element name="INTERNAL_AWB_CARGO2_ITEM">
      </xsl:element>
     </xsl:element>
    </xsl:element>
   </xsl:for-each>
  </xsl:element>
 </xsl:template>
</xsl:stylesheet>
