<?xml version="1.0" encoding="Windows-1251"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ctmtd="http://rail.ctm.ru/TD/Transform">
 <xsl:output method="xml"/>
 <ctmtd:info module="Declarant.clsXMLConverterService" scheme="DLAB" docid="ND">  .. </ctmtd:info>
 <xsl:template match="/INTERNAL_RWB">
  <xsl:element name="RWB_DEMAND">
   <xsl:for-each select="/INTERNAL_RWB/INTERNAL_RWB_ITEM">
    <xsl:element name="RWB_DEMAND_ITEM">
     <xsl:element name="SND_N">
      <xsl:value-of select="EXP_NAME"/>
      <xsl:text>,  </xsl:text>
      <xsl:value-of select="EXP_ADDR"/>
     </xsl:element>
     <xsl:element name="SND_OKPO">
      <xsl:value-of select="EXP_OKPO"/>
     </xsl:element>
     <xsl:element name="SND_A">
      <xsl:value-of select="EXP_ADDR"/>
     </xsl:element>
     <xsl:element name="PAYER_N">
      <xsl:value-of select="PAYER_NAME"/>
     </xsl:element>
     <xsl:element name="PAYER_C">
      <xsl:value-of select="PAYER_CODE"/>
     </xsl:element>
     <xsl:element name="PAYER_OKPO">
      <xsl:value-of select="PAYER_ACC"/>
     </xsl:element>
     <xsl:element name="ST_FROM_N">
      <xsl:value-of select="SRC_S_NAME"/>
     </xsl:element>
     <xsl:element name="ST_FROM_C">
      <xsl:value-of select="SRC_S_CODE"/>
     </xsl:element>
     <xsl:element name="RWB_DEMAND_TABLE">

      <xsl:for-each select="/INTERNAL_RWB/INTERNAL_RWB_ITEM/INTERNAL_RWB_CARGO/INTERNAL_RWB_CARGO_ITEM[position()=1]">
       <xsl:element name="RWB_DEMAND_TABLE_ITEM">
        <xsl:element name="Npp"><xsl:text>1</xsl:text></xsl:element>
        <xsl:element name="G2">
         <xsl:value-of select="/INTERNAL_RWB/INTERNAL_RWB_ITEM/GROUP"/>
         <xsl:text> </xsl:text>
         <xsl:value-of select="CARGO"/>
        </xsl:element>
        <xsl:element name="SendType">
         <xsl:value-of select="/INTERNAL_RWB/INTERNAL_RWB_ITEM/SEND_TYPE"/>
        </xsl:element>
        <xsl:element name="G5">
         <xsl:value-of select="/INTERNAL_RWB/INTERNAL_RWB_ITEM/DRS_NAME"/>
        </xsl:element>
        <xsl:element name="G6">
         <xsl:value-of select="/INTERNAL_RWB/INTERNAL_RWB_ITEM/DRS_CODE_S"/>
        </xsl:element>
        <xsl:element name="G11">
         <xsl:value-of select="/INTERNAL_RWB/INTERNAL_RWB_ITEM/VAG_TYPE"/>
        </xsl:element>
        <xsl:element name="G9">
         <xsl:value-of select="KGUSER"/>
        </xsl:element>
        <xsl:element name="G12">
         <xsl:value-of select="VAG"/>
        </xsl:element>
       </xsl:element>
      </xsl:for-each>

      <xsl:for-each select="/INTERNAL_RWB/INTERNAL_RWB_ITEM/INTERNAL_RWB_CARGO/INTERNAL_RWB_CARGO_ITEM[position()=2]">
       <xsl:element name="RWB_DEMAND_TABLE_ITEM">
        <xsl:element name="G2">
         <xsl:value-of select="CARGO"/>
        </xsl:element>
        <xsl:element name="G5">
         <xsl:value-of select="/INTERNAL_RWB/INTERNAL_RWB_ITEM/IMP_NAME"/>
         <xsl:text> 
          </xsl:text>
         <xsl:value-of select="/INTERNAL_RWB/INTERNAL_RWB_ITEM/IMP_ADDR"/>
        </xsl:element>
        <xsl:element name="G6">
         <xsl:value-of select="/INTERNAL_RWB/INTERNAL_RWB_ITEM/IMP_OKPO"/>
        </xsl:element>
        <xsl:element name="G11">
         <xsl:value-of select="/INTERNAL_RWB/INTERNAL_RWB_ITEM/VAG_TYPE"/>
        </xsl:element>
        <xsl:element name="G9">
         <xsl:value-of select="KGUSER"/>
        </xsl:element>
        <xsl:element name="G12">
         <xsl:value-of select="VAG"/>
        </xsl:element>
       </xsl:element>
      </xsl:for-each>
      
      <xsl:for-each select="/INTERNAL_RWB/INTERNAL_RWB_ITEM/INTERNAL_RWB_CARGO/INTERNAL_RWB_CARGO_ITEM[position()>2]">
       <xsl:element name="RWB_DEMAND_TABLE_ITEM">
        <xsl:element name="G2">
         <xsl:value-of select="CARGO"/>
        </xsl:element>
        <xsl:element name="G11">
         <xsl:value-of select="/INTERNAL_RWB/INTERNAL_RWB_ITEM/VAG_TYPE"/>
        </xsl:element>
        <xsl:element name="G9">
         <xsl:value-of select="KGUSER"/>
        </xsl:element>
        <xsl:element name="G12">
         <xsl:value-of select="VAG"/>
        </xsl:element>
       </xsl:element>
      </xsl:for-each>

     </xsl:element>
     <xsl:element name="RWB_DEMAND_WAGON_TOTAL">
      <xsl:element name="RWB_DEMAND_WAGON_TOTAL_ITEM">
      </xsl:element>
     </xsl:element>
    </xsl:element>
   </xsl:for-each>
  </xsl:element>
 </xsl:template>
</xsl:stylesheet>
