<?xml version="1.0" encoding="Windows-1251"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ctmtd="http://rail.ctm.ru/TD/Transform">
 <xsl:output method="xml"/>
        <ctmtd:info> </ctmtd:info>
 <xsl:template match="/INVOICEPRIM">
  <xsl:element name="SMGS">
   <xsl:for-each select="/INVOICEPRIM/INVOICEPRIM_ITEM">
     <xsl:element name="SMGS_ITEM">
      <xsl:element name="G1_1">
       <xsl:value-of select="GF2"/>
      </xsl:element>
      <xsl:element name="G1_2">
       <xsl:value-of select="GF3"/>
      </xsl:element>
      <xsl:element name="G1_3">
       <xsl:value-of select="GFOKPO"/>
      </xsl:element>
      <xsl:element name="G5_1">
       <xsl:value-of select="_GF2"/>
      </xsl:element>
      <xsl:element name="G5_2">
       <xsl:value-of select="_GF3"/>
      </xsl:element>
      <xsl:element name="G5_3">
       <xsl:value-of select="_GFOKPO"/>
      </xsl:element>
      <xsl:element name="G2">
       <xsl:if test="not(string-length(/INVOICEPRIM/INVOICEPRIM_ITEM/CONTRACTNO)=0)">
       <xsl:value-of select="CONTRACTNO"/>
        <xsl:text>  </xsl:text>
         <xsl:value-of select="substring (CONTRACTDATE,9,2)"/>
         <xsl:text>.</xsl:text>
         <xsl:value-of select="substring (CONTRACTDATE,6,2)"/>
         <xsl:text>.</xsl:text>
         <xsl:value-of select="substring (CONTRACTDATE,3,2)"/>
       </xsl:if>
      </xsl:element>
      <xsl:element name="SMGS_BACKPRIM">
       <xsl:element name="SMGS_BACKPRIM_ITEM">
        <xsl:element name="SMGS_BACKDOP">
         <xsl:element name="SMGS_BACKDOP_ITEM">
         </xsl:element>
        </xsl:element>
       </xsl:element>
      </xsl:element>
      <xsl:element name="SMGS_CARGO">
       <xsl:for-each select="/INVOICEPRIM/INVOICEPRIM_ITEM/INVOICEDOP/INVOICEDOP_ITEM">
        <xsl:variable name="INVOICEDOP_INVOICEDOP_ITEM" select="current()"/>
        <xsl:element name="SMGS_CARGO_ITEM">
         <xsl:element name="G11">
          <xsl:value-of select="G312"/>
         </xsl:element>
         <xsl:element name="MEST">
          <xsl:value-of select="G311"/>
         </xsl:element>
         <xsl:element name="KGUSER">
          <xsl:value-of select="G35"/>
         </xsl:element>
         <xsl:element name="VOLUME">
          <xsl:value-of select="COUNT"/>
         </xsl:element>
        </xsl:element>
       </xsl:for-each>
      </xsl:element>
      <xsl:element name="SMGS_OSZAYAV">
       <xsl:element name="SMGS_OSZAYAV_ITEM">
       </xsl:element>
      </xsl:element>
      <xsl:element name="SMGS_PLOMB45">
       <xsl:element name="SMGS_PLOMB45_ITEM">
       </xsl:element>
      </xsl:element>
      <xsl:element name="SMGS_PRILDOC">
       <xsl:element name="SMGS_PRILDOC_ITEM">
        <xsl:element name="OPIS">
        <xsl:if test="not(string-length(/INVOICEPRIM/INVOICEPRIM_ITEM/INVOICENO)=0)">
         <xsl:value-of select="INVOICENO"/>
          <xsl:text>  </xsl:text>
          <xsl:value-of select="substring (INVOICEDATE,9,2)"/>
          <xsl:text>.</xsl:text>
          <xsl:value-of select="substring (INVOICEDATE,6,2)"/>
          <xsl:text>.</xsl:text>
          <xsl:value-of select="substring (INVOICEDATE,3,2)"/>
        </xsl:if>
        </xsl:element>
       </xsl:element>
      </xsl:element>
      <xsl:element name="SMGS_STATIONS">
       <xsl:element name="SMGS_STATIONS_ITEM">
       </xsl:element>
      </xsl:element>
      <xsl:element name="SMGS_VAGONS">
       <xsl:element name="SMGS_VAGONS_ITEM">
       </xsl:element>
      </xsl:element>
     </xsl:element>
    </xsl:for-each>
  </xsl:element>
 </xsl:template>
</xsl:stylesheet>
